﻿// ==UserScript==
// @name Googreimu
// @namespace 晒しスレ
// @description Googleの検索結果にお好きな画像を。
// @include http://www.google.*search*
// ==/UserScript==

//	ファイルのパス例(Sleipnirの例)
//	var path = "c:/windows/system32/";

//	ファイルのパス例(Firefoxの例)
//	var path = "resource:///image/";


//********Array括弧の中にファイルのリストを記述*************
	img = new Array(
"animation.png", 
"animation_nuclear.png",	//例です。ここの3行は削除。
"animation_r.png"
);
//**********************************************************

	//モード選択
//	0がノーマルモード
//	1が画像の表示サイズ上限設定モード
//	利点欠点はreadme.txt参照のこと。
	var mode = 0 ;


	//配列の数
	var total;
	TOTAL = img.length;

	//乱数生成
	var num = Math.floor( Math.random() * TOTAL);

	if(mode==1){
		mode_resizable();
	}else if(mode==0){
		mode_normal();
	}


//----ノーマルモードの関数----------------
function mode_normal(){
	var style = document.body.style ;
	style.backgroundImage = "url(" + path + img[num] + ")";
	style.backgroundPosition = "bottom right";
	style.backgroundRepeat = "no-repeat";
	style.backgroundAttachment = "fixed";

}

//----リサイズモードの関数----------------
function mode_resizable(){

	//アルファチャンネル。ちょっと怪しい。
	// 0から1の間を入れます。1は透過しません。
	var alphach = "1";

	var inputtop = 0 ;	//上にずらす距離
	var inputleft = 0 ;	//左にずらす距離


	//ブラウザのサイズ取得
	//参考：http://www.tagindex.com/javascript/user/dist2.html
	if(navigator.userAgent.indexOf("Firefox") != -1){
		var wwidth = window.innerWidth ;
		var wheight = window.innerHeight ;
	}else{
		var wheight = document.body.clientHeight ;
		var wwidth = document.body.clientHeight ;
	}

	//画像のプロパティ取得
	src = path;
	var i = new Image(); i.src = src;

	//横にはみ出すようならちょっと縮小
	if( wwidth < i.width ){
		width = wwidth - 10;
	}else{
		width = i.width;
	}

	//画像が小さすぎるようなら拡大(2倍)
	if( 50 > i.width ){
		width = i.width * 2;
	}


	var imgtag=document.createElement("img");
	imgtag.src = path + img[num];
//	imgtag.alt = "";
	imgtag.width = width;
	imgtag.style.position = "fixed";
	imgtag.style.right = inputleft ;
	imgtag.style.bottom = inputtop ;
	imgtag.style.zIndex = "-1" ;	//Z軸指定。
	imgtag.style.opacity = alphach ;
	imgtag.style.filter = "alpha(opacity=" + alphach * 100 + ")";
//	imgtag.setAttribute("id","img_googreimu");
	document.body.appendChild(imgtag);
}